Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1161799 - [abrt] gnome-software: gs_app_set_description(): gnome-software killed by SIGABRT
Summary: [abrt] gnome-software: gs_app_set_description(): gnome-software killed by SIG...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fbcdadd160145c85f908f4f195b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-07 22:23 UTC by Zach Ploskey
Modified: 2015-10-09 06:15 UTC (History)
12 users (show)

Fixed In Version: gnome-software-3.18.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-09 06:14:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2014-11-07 22:23 UTC, Zach Ploskey
no flags Details
File: cgroup (deleted)
2014-11-07 22:23 UTC, Zach Ploskey
no flags Details
File: core_backtrace (deleted)
2014-11-07 22:23 UTC, Zach Ploskey
no flags Details
File: dso_list (deleted)
2014-11-07 22:23 UTC, Zach Ploskey
no flags Details
File: environ (deleted)
2014-11-07 22:23 UTC, Zach Ploskey
no flags Details
File: limits (deleted)
2014-11-07 22:23 UTC, Zach Ploskey
no flags Details
File: maps (deleted)
2014-11-07 22:23 UTC, Zach Ploskey
no flags Details
File: open_fds (deleted)
2014-11-07 22:24 UTC, Zach Ploskey
no flags Details
File: proc_pid_status (deleted)
2014-11-07 22:24 UTC, Zach Ploskey
no flags Details
File: var_log_messages (deleted)
2014-11-07 22:24 UTC, Zach Ploskey
no flags Details

Description Zach Ploskey 2014-11-07 22:23:53 UTC
Description of problem:
Not entirely clear what happened, as I believe Software was in the background at the time.  I think I had gpk-application open and doing something when this occurred.  I can try to reproduce, but no guarantees.  Perhaps the stack trace will be useful.

Version-Release number of selected component:
gnome-software-3.14.1-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_app_set_description
executable:     /usr/bin/gnome-software
kernel:         3.17.2-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #7 gs_app_set_description at gs-app.c:1096
 #8 gs_plugin_refine_item at gs-plugin-appstream.c:647
 #9 gs_plugin_refine_from_id at gs-plugin-appstream.c:776
 #10 gs_plugin_refine at gs-plugin-appstream.c:846
 #11 gs_plugin_loader_run_refine_plugin at gs-plugin-loader.c:185
 #12 gs_plugin_loader_run_refine at gs-plugin-loader.c:248
 #13 gs_plugin_loader_app_refine_thread_cb at gs-plugin-loader.c:2042
 #14 g_task_thread_pool_thread at gtask.c:1215
 #16 g_thread_proxy at gthread.c:764

Potential duplicate: bug 1070550

Comment 1 Zach Ploskey 2014-11-07 22:23:55 UTC
Created attachment 955121 [details]
File: backtrace

Comment 2 Zach Ploskey 2014-11-07 22:23:55 UTC
Created attachment 955122 [details]
File: cgroup

Comment 3 Zach Ploskey 2014-11-07 22:23:56 UTC
Created attachment 955123 [details]
File: core_backtrace

Comment 4 Zach Ploskey 2014-11-07 22:23:57 UTC
Created attachment 955124 [details]
File: dso_list

Comment 5 Zach Ploskey 2014-11-07 22:23:57 UTC
Created attachment 955125 [details]
File: environ

Comment 6 Zach Ploskey 2014-11-07 22:23:58 UTC
Created attachment 955126 [details]
File: limits

Comment 7 Zach Ploskey 2014-11-07 22:23:59 UTC
Created attachment 955127 [details]
File: maps

Comment 8 Zach Ploskey 2014-11-07 22:24:00 UTC
Created attachment 955128 [details]
File: open_fds

Comment 9 Zach Ploskey 2014-11-07 22:24:00 UTC
Created attachment 955129 [details]
File: proc_pid_status

Comment 10 Zach Ploskey 2014-11-07 22:24:01 UTC
Created attachment 955130 [details]
File: var_log_messages

Comment 11 汪明衡 2014-11-30 09:49:34 UTC
Another user experienced a similar problem:

Just type in gnome shell search entry.

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_app_set_description
executable:     /usr/bin/gnome-software
kernel:         3.17.4-300.fc21.x86_64
package:        gnome-software-3.14.2-2.fc21
reason:         gnome-software killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 12 Joshua Rich 2014-12-15 10:41:51 UTC
Happened to me when I was trying to install sysdig using their script as per their official instructions on http://www.sysdig.org/install/:

curl -s https://s3.amazonaws.com/download.draios.com/stable/install-sysdig | sudo bash

Didn't have gnome-software open at the time, just got the abrt notification that it crashed.

Comment 13 Craig Keogh 2014-12-18 09:53:22 UTC
Another user experienced a similar problem:

1. Logon to GNOME. Crash.

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_app_set_description
executable:     /usr/bin/gnome-software
kernel:         3.17.4-301.fc21.x86_64
package:        gnome-software-3.14.2-2.fc21
reason:         gnome-software killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora Update System 2015-10-07 13:21:17 UTC
gnome-software-3.18.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0

Comment 15 Fedora Update System 2015-10-07 16:27:19 UTC
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-software'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0

Comment 16 Fedora Update System 2015-10-09 06:14:06 UTC
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.